package com.analogbit.puzzletools.client.slidingblocks.state;

/**
 * Notifies the listener when a grid has been changed. 
 */
public interface GridListener {
	void onBlockMoved(Block block, int fromX, int fromY);
	void onBlockAdded(Block block);
	void onBlockChanged(Block block);
	void onBlockRemoved(Block block);
}
